Subject: Re: [PATCH v13 1/7] net: split off __napi_busy_poll from napi_busy_poll

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Jun 2023 11:00:40 -0700

On Mon, 05 Jun 2023 10:47:40 -0700 Stefan Roesch wrote:
> > Can you refactor this further? I think the only state that's kept
> > across "restarts" is the start_time right? So this version is
> > effectively a loop around what ends up being napi_busy_loop_rcu(), no?  
> 
> I'm not sure I understand this correctly. Do you want the start time to
> be a parameter of the function napi_busy_poll_rcu?

The RCU and non-RCU version of this function end up looking very
similar, what I'm asking is to share more code.